public class Settings {
    int hunterSpeed;
    int mammothSpeed; 
    int nHunters;
    int detectionDistance;

    byte[] pack() { 
        byte[] record = new byte[4];
        record[0] = (byte)hunterSpeed;
        record[1] = (byte)mammothSpeed; 
        record[2] = (byte)nHunters;
        record[3] = (byte)detectionDistance;
        return record;
    }

    void unpack(byte[] record) { 
        hunterSpeed = record[0];
        mammothSpeed = record[1];
        nHunters = record[2];
        detectionDistance = record[3];
    }
    
    static final int MAX_SPEED    = 100;
    static final int MAX_HUNTERS  = 9;
    static final int MAX_DISTANCE = 100;


    Settings(byte[] record) { 
        unpack(record);
    }

    Settings() { 
        hunterSpeed = 80;
        mammothSpeed = 40;
        nHunters = 5;
        detectionDistance = 30;
    }
}
    
